Subject: bug#20499: [PROPOSED PATCH] C-x 8 shorthands for curved quotes, Euro, etc.

From: Richard Stallman <[email-masked]>
Date: Fri, 08 May 2015 14:46:58 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > Are you kidding?  Just to see 32 characters' glyphs
  > > I'd have to type 128 input characters.

  > No, you need to type much less.  A codepoint, if you know it, is at
  > most 5 characters,

I miscalculated.  C-x 8 RET codepoint RET is 8 characters (or 9).
Thus, to see 32 characters' glyphs that way, I'd need to type
between 256 and 288 input characters.

   > and for name completion, typing something like

   >  C-x 8 RET greek <TAB> <TAB>

That is a lot less input than the other method, and is sort of usable,
but inconvenient.  I tried it in that very case.

It includes Coptic characters as well as Greek; I don't know why.
It also includes many punctuation characters, and letters with diacritics,
that are in a different part of Unicode, and are not normal Greek letters.

If I could see the glyphs of the area of Unicode which alpha is in, I could
easily see the character I want.

And when I want to enter some non-ASCII punctuator, if I could see
the glyphs of that part of Unicode, it would be easy.
I don't want to have to remember their official names.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! See stallman.org/skype.html.